#
# spec file for package yast2-mail-server (Version 2.13.10)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost brp-check-internal bzip2 checkmedia coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hwinfo info insserv iproute2 klogd ldapcpplib less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libicu libidn libmudflap libnscd libpng libstdc++ libtool libusb libxcrypt libxml2 libxslt liby2util libzio libzypp limal limal-ca-mgm limal-ca-mgm-perl limal-perl m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules parted patch pcre perl perl-Bit-Vector perl-Carp-Clan perl-Config-IniFiles perl-Date-Calc perl-Digest-SHA1 perl-Parse-RecDescent perl-URI perl-X500-DN perl-XML-Writer perl-gettext permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysconfig sysfsutils sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-ca-management yast2-core yast2-country yast2-devtools yast2-firewall yast2-hardware-detection yast2-inetd yast2-installation yast2-ldap yast2-ldap-client yast2-ldap-server yast2-mail-aliases yast2-network yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-s390 yast2-security yast2-slp yast2-storage yast2-storage-lib yast2-users zlib zlib-devel


Name:           yast2-mail-server
Version:        2.13.10
Release:        0.10
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-mail-server-2.13.10.tar.bz2
Prefix:         /usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer pkgconfig update-desktop-files yast2 yast2-devtools yast2-ldap-server yast2-network
Requires:       cyrus-sasl-plain perl perl-gettext perl-NetxAP perl-Digest-HMAC yast2 yast2-perl-bindings yast2-users yast2-ldap-server yast2-ldap-client yast2-ldap yast2-mail-aliases
Conflicts:      yast2-mail
BuildArch:      noarch
Summary:        YaST2 Module for advanced mailserver configuration

%description
This module allows to configure the mailsystem including mail routing,
imap, fetching mail using fetchmail, etc.

It also delivers a plugin for the user management module which enables
per user imap account creation and management



%debug_package
%prep
%setup -n yast2-mail-server-2.13.10

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/mail-server
/usr/share/YaST2/include/mail-server/*
/usr/share/YaST2/clients/*
/usr/share/YaST2/modules/*
%{prefix}/share/applications/YaST2/*
/usr/share/YaST2/scrconf/*
/usr/lib/YaST2/servers_non_y2/*
%dir /etc/openldap/schema/
/etc/openldap/schema/suse-mailserver.schema
/etc/permissions.d/mail-server*
%doc %{prefix}/share/doc/packages/yast2-mail-server

%changelog
* Fri Dec 12 2008 - varkoly@suse.de
- (bnc#457619) - L3: Unable to set mailquota on creating a ldap user
* Mon Feb 11 2008 - varkoly@suse.de
- Fixing bug bnc#359896 - No FQDN set for myhostname for amavisd-new
* Thu Apr 19 2007 - varkoly@suse.de
- Fixing bugs:
  [#264954] - Setting mailbox quotas globally in yast is not working
  [#264949] - Mail server Prevention issue - Server restrictions
  addresses are not set in yast
  [#265199] - bad mail server module error message when adding a
  user
* Thu Mar 15 2007 - varkoly@suse.de
- Fixing bugs: #245784 - yast2 groups module has problems with LDAP
  [#254363] - yast2 users modul do not create the groups
  [#254349] - yast2 mail server writes error messages on the console
  [#253950] - yast2-mail-server - wrong RPM dependencies
  [#224065] - L3: Changing IMAP quota in YaST doesn't work
* Tue Dec 19 2006 - varkoly@suse.de
- Fixing bug: #210146 - Password shows in Plain text
* Mon Jul 10 2006 - varkoly@suse.de
-  Fixing bug: #191232 yast2 mail-server does not set virtual_alias_domains explicit
-  changing default setting: virus scanning on
  mail server protection medium
-  increment the maximal number of smtpd prozesses to 100
* Fri Jun 30 2006 - varkoly@suse.de
- fix: setting virtual_alias_domains explicitly
* Thu May 18 2006 - varkoly@suse.de
- fixing bug #175589 - YaST2 Mail Server Module is broken (SLES10 RC1)
* Fri May 12 2006 - varkoly@suse.de
- fixing bug #175382 yast2 mail-server modul writes in obsolet directory
* Mon Apr 24 2006 - varkoly@suse.de
- fixing bug #167630 yast2-mail-server prints perl warning on stdout/stderr
- fixing bug #168711 yast2 mail-server does not activate tlsmgr if needed
* Tue Apr 04 2006 - varkoly@suse.de
- Fixing UserPlugin: we do not use memberUID
* Tue Feb 21 2006 - mc@suse.de
- Fix BuildRequires
* Tue Feb 21 2006 - varkoly@suse.de
- replace yast2-devel-packages in BuildRequires
* Mon Feb 06 2006 - varkoly@suse.de
- fixing time stamps
- fixing deprecated subroutin call
- fixing bug #147918 yast2 ldap-client reports error message creating the defa.
- fixing bug #148328 yast2 mail-server does not include dnszone.schema if needed
* Mon Feb 06 2006 - varkoly@suse.de
-
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - varkoly@suse.de
- clean up the ldap-scheme
* Mon Jan 09 2006 - visnov@suse.cz
- Remove Require import
* Tue Dec 20 2005 - varkoly@suse.de
- Replace Require -> Package
* Wed Nov 23 2005 - varkoly@suse.de
- introduce mail-server.paranoid
* Tue Nov 22 2005 - varkoly@suse.de
- New feature: Mail for groups
- Fixing bugs:
  - #64470 yast2-mail-server: transport doesn't allow to se...
  - #54764 yast2-mail-server has hard requirements
  - #58700 yast2-mail-server refuses to work without local dns server
* Mon Aug 23 2004 - mvidner@suse.cz
- Removed cfg_mail.scr (had been moved to yast2-mail-aliases).
- 2.10.1
* Fri Aug 20 2004 - schubi@suse.de
- Merged SLES9 with head
* Fri Jul 02 2004 - varkoly@suse.de
- bugfix for WriteMailTransports:
  bad error functions
  '-' was missed by the matching of the destination
* Tue Jun 29 2004 - varkoly@suse.de
- bugfix #42423 yast2-mail-server transports_map must be used only
  if it is realy needed
- bugfix #42416 yast2-mail-server does not set 'no local' transport
- bugfix #42463 the existence of Main Local Domain is expected even
  if no local delivery is defined.
* Mon Jun 21 2004 - varkoly@suse.de
- bugfix: only defined domain names can be select for the eMail addresses
- bugfix: imap options are only shown if imap localdeliverytype is cyrus
- bugfix: if there local delivery is not 'cyrus' the imap funktions must not be executed
* Fri Jun 18 2004 - varkoly@suse.de
- bugfix for virtual_alias_maps the path of the file is
  /etc/postfix/ldapvirtual_alias_maps.cf
- bugfix for starting/stoping and enabling/disabling amavis and clamd
- for content_filter (SuSEconfig sets this to vscan:)
* Thu Jun 17 2004 - choeger@suse.de
- bugfix for bugfix for bug id#42115, ldaplocal_recipient_maps.cf
  must be in virtual_maps and virtual_maps is now
  virtual_alias_maps (which is virtual_maps for compatibility
  reasons)
* Wed Jun 16 2004 - choeger@suse.de
- bugfix id#42115 - $alias_maps and $virtual maps not in
  local_recipient_maps
* Wed Jun 16 2004 - choeger@suse.de
- restart clamd and amavisd after changing their config files
  (Bugfix Bugzilla ID#42104)
* Wed Jun 09 2004 - choeger@suse.de
- configure amavisd-new and clamav to work together when activating
  virus-scanner, Bugfix Bugzilla ID#41722
* Mon Jun 07 2004 - rhafer@suse.de
- Bug 41645 - UsersPluginMail: Disabling plugin when adding a new
  user does not work.
* Fri Jun 04 2004 - choeger@suse.de
- Bugfix ID#41641 - smtp-auth to relayhost does not work
* Tue Jun 01 2004 - choeger@suse.de
- Bugfix ID#41372 - yast2-mail-server: cyrus does not start anymore
- Bugfix ID#41483 - Subscribe users to their Inbox upon creation.
- set smtp_sasl_security_options accordingly (noplaintext is senseless)
- set unixhierarchysep to yes if no set in the configuration file
- set allowplainwithouttls to yes if no set in the configuration file
* Tue Jun 01 2004 - mc@suse.de
- add yast2-ldap-client and yast2-pam to neededforbuid to fix build
  errors
* Fri May 28 2004 - varkoly@suse.de
- Bugfix for server side sasl auth.
- some litle bugfixes
* Fri May 28 2004 - schubi@suse.de
- Bug 41363 - UsersPluginMail: Adding more than one mail
- Bug 41364 - UsersPluginMail: Can't delete User without Inbox
* Fri May 28 2004 - schubi@suse.de
- Bug 41309 - Missing translations
* Fri May 28 2004 - schubi@suse.de
- Bug 41352 - yast2-mail-server: do not change the ldap server settings
  without
* Thu May 27 2004 - schubi@suse.de
- Bug 40972 - usage of yast2-mail and yast2-mail-server results
  in conflicts
- Bug 41297 - yast2-mail-server: indexes needed in ldap server
- Bug 41312 - yast2-mail-server: all domains are defined as main
  maildomain
- Bug 41302 - yast2-mail-server: cyrus password is set to early
* Wed May 26 2004 - varkoly@suse.de
- bugfix for TLS per site table look up
- bugfix for searching LDAP modules
- bugfix for first main mail domain
* Fri May 14 2004 - varkoly@suse.de
- bugfix for main mail domain
* Thu May 13 2004 - schubi@suse.de
- [Bug 40493] Module hangs after finishing
- Some popup error changed.
- Layout improofed
* Fri Feb 20 2004 - varkoly@suse.de
- initial version
